Bug 1872288 - 4.5: [MSTR-1019] Management console log out cannot delete oauthaccesstoken
Summary: 4.5: [MSTR-1019] Management console log out cannot delete oauthaccesstoken
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.5.z
Assignee: Jakub Hadvig
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On: 1869966
Blocks: 1871084 1879327
TreeView+ depends on / blocked
 
Reported: 2020-08-25 12:10 UTC by Stefan Schimanski
Modified: 2020-09-16 02:35 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1869966
Environment:
Last Closed: 2020-09-08 10:54:57 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6445 None closed Bug 1872288: Delete the hashed session token on user logout 2020-09-16 02:32:20 UTC
Red Hat Product Errata RHBA-2020:3510 None None None 2020-09-08 10:55:26 UTC

Comment 2 Yadan Pei 2020-08-26 11:13:22 UTC
Hi Jakub,

Is it possible for you to tag me when a fix PR is opened for this bug? In this way I may test it before the PR is merged.

To tag me in the PR, you just need add a comment `/bugzilla cc-qa` then it will request a QE's review and I can test it timely

Does it sound ok?

Comment 7 Xingxing Xia 2020-08-31 03:21:53 UTC
Against 4.6 server, using original steps, verified with 4.5 oc:
$ ~/bin/4.5/oc version --client
Client Version: 4.5.0-0.nightly-2020-08-29-080432

Comment 8 Xingxing Xia 2020-08-31 03:22:40 UTC
Sorry, commented in wrong bug. I intended to comment bug 1870667

Comment 9 Yadan Pei 2020-08-31 05:47:34 UTC
Latest 4.5 nightly 4.5.0-0.nightly-2020-08-29-080432 doesn't include the fix PR yet

# oc adm release info registry.svc.ci.openshift.org/ocp/release:4.5.0-0.nightly-2020-08-29-080432 --pullspecs | grep console
  console                                        quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:a0ad19243e1563ca188f98b3225d98b3b3b42ed181ac76d317a29c658a4fb6f0
  console-operator                               quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:2f011321e204e2bb27cae1c7dba2412320de6dbb62a922680899601a9724c367
[root@preserved-qe-ui-rhel-1 console]# oc image info quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:a0ad19243e1563ca188f98b3225d98b3b3b42ed181ac76d317a29c658a4fb6f0 | grep commit
             io.openshift.build.commit.id=c0f84e5fba09f5fdf6b71a7c19bb618f0e4cc507
             io.openshift.build.commit.url=https://github.com/openshift/console/commit/c0f84e5fba09f5fdf6b71a7c19bb618f0e4cc507
[root@preserved-qe-ui-rhel-1 console]# git status
# On branch release-4.5
nothing to commit, working directory clean
[root@preserved-qe-ui-rhel-1 console]# git remote -v
origin	git@github.com:openshift/console.git (fetch)
origin	git@github.com:openshift/console.git (push)
[root@preserved-qe-ui-rhel-1 console]# git rebase origin/release-4.5
Current branch release-4.5 is up to date.     
[root@preserved-qe-ui-rhel-1 console]# git log c0f84e5fba09f5fdf6b71a7c19bb618f0e4cc507 | grep '#6645'   //nothing returns

Comment 10 Yadan Pei 2020-09-01 11:23:34 UTC
Once user is logged out, the oauthaccesstoken is deleted

Verified on 4.5.0-0.nightly-2020-08-29-080432


# oc adm release info $PAYLOAD --pullspecs | grep console
  console                                        quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:a0ad19243e1563ca188f98b3225d98b3b3b42ed181ac76d317a29c658a4fb6f0
  console-operator                               quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:2f011321e204e2bb27cae1c7dba2412320de6dbb62a922680899601a9724c367

# oc image info quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:a0ad19243e1563ca188f98b3225d98b3b3b42ed181ac76d317a29c658a4fb6f0 | grep commit
             io.openshift.build.commit.id=c0f84e5fba09f5fdf6b71a7c19bb618f0e4cc507
             io.openshift.build.commit.url=https://github.com/openshift/console/commit/c0f84e5fba09f5fdf6b71a7c19bb618f0e4cc507


# git log c0f84e5fba09f5fdf6b71a7c19bb618f0e4cc507 | grep '6445'
    Merge pull request #6445 from jhadvig/bz1869966_4.5

Comment 12 errata-xmlrpc 2020-09-08 10:54:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.8 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3510


Note You need to log in before you can comment on or make changes to this bug.